Home

# Class proto2.TestAllTypes.RepeatedGroup

Message RepeatedGroup.

extends goog.proto2.Message

Instance Method Summary
| `aArray() ⇒ !Array` Returns the array of values in the a field.
| `aCount() ⇒ number`
| `addA(number value)` Adds a value to the a field.
| `clearA()` Clears the values in the a field.
| `getA(number index) ⇒ ?number` Gets the value of the a field at the index given.
| `getAOrDefault(number index) ⇒ number` Gets the value of the a field at the index given or the default value if not set.
| `hasA() ⇒ boolean`